# GET /block/:hash/raw

Returns the raw block representation in binary.

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

**`block`**- block hash, required.&#x20;

Example: `0000000000000000000226ab487ff1a8456a30feb1bde3d65b6a67128074e19a`

## Returns

Returns the raw block representation in binary.

The response from this endpoint can be cached indefinitely.

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/block/0000000000000000000226ab487ff1a8456a30feb1bde3d65b6a67128074e19a/raw \
 -X GET
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/block/0000000000000000000226ab487ff1a8456a30feb1bde3d65b6a67128074e19a/raw \
 -X GET
```

{% endtab %}
{% endtabs %}
